module Merge

[<EntryPoint>]
let main argv =
    /// argc is the argument count, the length of the argument array
    let argc =  Array.length argv in
    if argc = 0 then
        MergeErrors.noArgs () 
    elif Array.get argv 0 = "Lists" then
        printfn "Lists module not implemented" // MergeLists.main ()
    elif Array.get argv 0 = "Arrays" then
       printfn "Arrays module not implemented" //MergeArrays.main ()
    elif argv.[0] = "Parallel" then
       printfn "Parallel module not implemented" // MergeParallel.main ()
    else
        MergeErrors.invalidArg ()
    argc
